\documentclass{article}
\usepackage{amsmath, amsthm, amssymb}
\usepackage[ngerman]{babel}

\newtheorem{theorem}{Theorem}

\begin{document}

\begin{theorem}
\begin{equation}
A^+ = (A^TA)^{-1}A^T
\end{equation}
\end{theorem}

\begin{proof}
Singul"arwertzerlegung $A=V\Sigma U^T$ mit $UU^T = VV^T = \mathbb{I}$, \\ 
bzw. $U^{-1}=U^T$ und $V^{-1}=V^T$ und $\Sigma$ diagonalgestalt. \\
Dann gilt:
\begin{align}
(A^TA)^{-1}A^T &= ((V \Sigma U^T)^T V \Sigma U^T)^{-1}(V\Sigma U^T)^T \\
&= (U \Sigma V^T V \Sigma U^T)^{-1}U\Sigma V^T \\
&= (U\Sigma^2U^T)^{-1}U\Sigma V^T \\
&= U{\Sigma^2}^{-1}U^TU\Sigma V^T \\
&= U\Sigma^{-1}V^T
\end{align}
\end{proof}

\end{document}
